import 'package:get/get.dart';
import 'package:making_school_asignment_app/common/job/annotated_class.dart';

class FavStudentState {
  FavStudentState() {
    ///Initialize variables
  }

  late RxString homeworkName = ''.obs;
  late String homeworkId = '';
  late int grade;
  late String classId = '';
  late RxList favList = RxList();
  late RxList pageList = RxList();
  late RxList<AnnotatedClass> involveClasses = RxList();
  late AnnotatedClass defaultClass = AnnotatedClass('', -1, '-1', '', '', -1, -1, -1, -1, -1, [], [], -1, -1, -1, -1, -1, [], []);
  late Rx<AnnotatedClass> classData = defaultClass.obs;
}
